## NVIDIA Tesla M60

 * NVENCAPI_VERSION: 8.0 // https://developer.nvidia.com/nvidia-video-codec-sdk

### NV_ENC_CODEC_H264_GUID

Profiles:

 * NV_ENC_H264_PROFILE_BASELINE_GUID
 * NV_ENC_H264_PROFILE_MAIN_GUID
 * NV_ENC_H264_PROFILE_HIGH_GUID
 * NV_ENC_H264_PROFILE_STEREO_GUID
 * NV_ENC_H264_PROFILE_CONSTRAINED_HIGH_GUID
 * NV_ENC_H264_PROFILE_HIGH_444_GUID
 * NV_ENC_CODEC_PROFILE_AUTOSELECT_GUID

Input Formats:

 * NV_ENC_BUFFER_FORMAT_NV12
 * NV_ENC_BUFFER_FORMAT_YV12
 * NV_ENC_BUFFER_FORMAT_IYUV
 * NV_ENC_BUFFER_FORMAT_YUV444
 * NV_ENC_BUFFER_FORMAT_ARGB
 * NV_ENC_BUFFER_FORMAT_ABGR
 * NV_ENC_BUFFER_FORMAT_AYUV
 * NV_ENC_BUFFER_FORMAT_ARGB10
 * NV_ENC_BUFFER_FORMAT_ABGR10

Capabilities:

 * NV_ENC_CAPS_NUM_MAX_BFRAMES: 4
 * NV_ENC_CAPS_SUPPORTED_RATECONTROL_MODES: NV_ENC_PARAMS_RC_VBR | NV_ENC_PARAMS_RC_CBR | NV_ENC_PARAMS_RC_CBR_LOWDELAY_HQ | NV_ENC_PARAMS_RC_CBR_HQ | NV_ENC_PARAMS_RC_VBR_HQ | 0x4
 * NV_ENC_CAPS_SUPPORT_FIELD_ENCODING: 1
 * NV_ENC_CAPS_SUPPORT_MONOCHROME: 0
 * NV_ENC_CAPS_SUPPORT_FMO: 0
 * NV_ENC_CAPS_SUPPORT_QPELMV: 1
 * NV_ENC_CAPS_SUPPORT_BDIRECT_MODE: 1
 * NV_ENC_CAPS_SUPPORT_CABAC: 1
 * NV_ENC_CAPS_SUPPORT_ADAPTIVE_TRANSFORM: 1
 * NV_ENC_CAPS_NUM_MAX_TEMPORAL_LAYERS: 0
 * NV_ENC_CAPS_SUPPORT_HIERARCHICAL_PFRAMES: 0
 * NV_ENC_CAPS_SUPPORT_HIERARCHICAL_BFRAMES: 0
 * NV_ENC_CAPS_LEVEL_MAX: NV_ENC_LEVEL_H264_51
 * NV_ENC_CAPS_LEVEL_MIN: 0x1
 * NV_ENC_CAPS_SEPARATE_COLOUR_PLANE: 1
 * NV_ENC_CAPS_WIDTH_MAX: 4096
 * NV_ENC_CAPS_HEIGHT_MAX: 4096
 * NV_ENC_CAPS_SUPPORT_TEMPORAL_SVC: 0
 * NV_ENC_CAPS_SUPPORT_DYN_RES_CHANGE: 1
 * NV_ENC_CAPS_SUPPORT_DYN_BITRATE_CHANGE: 1
 * NV_ENC_CAPS_SUPPORT_DYN_FORCE_CONSTQP: 1
 * NV_ENC_CAPS_SUPPORT_DYN_RCMODE_CHANGE: 0
 * NV_ENC_CAPS_SUPPORT_SUBFRAME_READBACK: 1
 * NV_ENC_CAPS_SUPPORT_CONSTRAINED_ENCODING: 1
 * NV_ENC_CAPS_SUPPORT_INTRA_REFRESH: 1
 * NV_ENC_CAPS_SUPPORT_CUSTOM_VBV_BUF_SIZE: 1
 * NV_ENC_CAPS_SUPPORT_DYNAMIC_SLICE_MODE: 1
 * NV_ENC_CAPS_SUPPORT_REF_PIC_INVALIDATION: 1
 * NV_ENC_CAPS_PREPROC_SUPPORT: 0
 * NV_ENC_CAPS_ASYNC_ENCODE_SUPPORT: 1
 * NV_ENC_CAPS_MB_NUM_MAX: 65536
 * NV_ENC_CAPS_MB_PER_SEC_MAX: 983040
 * NV_ENC_CAPS_SUPPORT_YUV444_ENCODE: 1
 * NV_ENC_CAPS_SUPPORT_LOSSLESS_ENCODE: 1
 * NV_ENC_CAPS_SUPPORT_SAO: 0
 * NV_ENC_CAPS_SUPPORT_MEONLY_MODE: 1
 * NV_ENC_CAPS_SUPPORT_LOOKAHEAD: 1
 * NV_ENC_CAPS_SUPPORT_TEMPORAL_AQ: 1
 * NV_ENC_CAPS_SUPPORT_10BIT_ENCODE: 0
 * NV_ENC_CAPS_NUM_MAX_LTR_FRAMES: 8
 * NV_ENC_CAPS_SUPPORT_WEIGHTED_PREDICTION: 0

Presets:

 * NV_ENC_PRESET_DEFAULT_GUID: GOP Length 30, frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_VBR
 * NV_ENC_PRESET_LOW_LATENCY_DEFAULT_GUID: frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_CBR_LOWDELAY_HQ
 * NV_ENC_PRESET_HP_GUID: GOP Length 30, frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_CBR
 * NV_ENC_PRESET_HQ_GUID: GOP Length 30, frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_VBR
 * NV_ENC_PRESET_BD_GUID: GOP Length 30, frameIntervalP 3, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_VBR
 * NV_ENC_PRESET_LOW_LATENCY_HQ_GUID: frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_CBR_LOWDELAY_HQ
 * NV_ENC_PRESET_LOW_LATENCY_HP_GUID: frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_CBR_LOWDELAY_HQ
 * {7ADD423D-D035-4F6F-AEA5-50885658643C}: GOP Length 30, frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_VBR
 * NV_ENC_PRESET_LOSSLESS_DEFAULT_GUID: GOP Length 30, frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL
 * NV_ENC_PRESET_LOSSLESS_HP_GUID: GOP Length 30, frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL

### NV_ENC_CODEC_HEVC_GUID

Profiles:

 * NV_ENC_HEVC_PROFILE_MAIN_GUID
 * NV_ENC_CODEC_PROFILE_AUTOSELECT_GUID

Input Formats:

 * NV_ENC_BUFFER_FORMAT_NV12
 * NV_ENC_BUFFER_FORMAT_YV12
 * NV_ENC_BUFFER_FORMAT_IYUV
 * NV_ENC_BUFFER_FORMAT_ARGB
 * NV_ENC_BUFFER_FORMAT_ABGR
 * NV_ENC_BUFFER_FORMAT_AYUV
 * NV_ENC_BUFFER_FORMAT_ARGB10
 * NV_ENC_BUFFER_FORMAT_ABGR10

Capabilities:

 * NV_ENC_CAPS_NUM_MAX_BFRAMES: 0
 * NV_ENC_CAPS_SUPPORTED_RATECONTROL_MODES: NV_ENC_PARAMS_RC_VBR | NV_ENC_PARAMS_RC_CBR | NV_ENC_PARAMS_RC_CBR_LOWDELAY_HQ | NV_ENC_PARAMS_RC_CBR_HQ | NV_ENC_PARAMS_RC_VBR_HQ | 0x4
 * NV_ENC_CAPS_SUPPORT_FIELD_ENCODING: 0
 * NV_ENC_CAPS_SUPPORT_MONOCHROME: 0
 * NV_ENC_CAPS_SUPPORT_FMO: 0
 * NV_ENC_CAPS_SUPPORT_QPELMV: 1
 * NV_ENC_CAPS_SUPPORT_BDIRECT_MODE: 0
 * NV_ENC_CAPS_SUPPORT_CABAC: 1
 * NV_ENC_CAPS_SUPPORT_ADAPTIVE_TRANSFORM: 0
 * NV_ENC_CAPS_NUM_MAX_TEMPORAL_LAYERS: 0
 * NV_ENC_CAPS_SUPPORT_HIERARCHICAL_PFRAMES: 0
 * NV_ENC_CAPS_SUPPORT_HIERARCHICAL_BFRAMES: 0
 * NV_ENC_CAPS_LEVEL_MAX: 0x3E
 * NV_ENC_CAPS_LEVEL_MIN: 0x1
 * NV_ENC_CAPS_SEPARATE_COLOUR_PLANE: 0
 * NV_ENC_CAPS_WIDTH_MAX: 4096
 * NV_ENC_CAPS_HEIGHT_MAX: 4096
 * NV_ENC_CAPS_SUPPORT_TEMPORAL_SVC: 0
 * NV_ENC_CAPS_SUPPORT_DYN_RES_CHANGE: 1
 * NV_ENC_CAPS_SUPPORT_DYN_BITRATE_CHANGE: 1
 * NV_ENC_CAPS_SUPPORT_DYN_FORCE_CONSTQP: 1
 * NV_ENC_CAPS_SUPPORT_DYN_RCMODE_CHANGE: 0
 * NV_ENC_CAPS_SUPPORT_SUBFRAME_READBACK: 1
 * NV_ENC_CAPS_SUPPORT_CONSTRAINED_ENCODING: 0
 * NV_ENC_CAPS_SUPPORT_INTRA_REFRESH: 1
 * NV_ENC_CAPS_SUPPORT_CUSTOM_VBV_BUF_SIZE: 1
 * NV_ENC_CAPS_SUPPORT_DYNAMIC_SLICE_MODE: 1
 * NV_ENC_CAPS_SUPPORT_REF_PIC_INVALIDATION: 1
 * NV_ENC_CAPS_PREPROC_SUPPORT: 0
 * NV_ENC_CAPS_ASYNC_ENCODE_SUPPORT: 1
 * NV_ENC_CAPS_MB_NUM_MAX: 65536
 * NV_ENC_CAPS_MB_PER_SEC_MAX: 983040
 * NV_ENC_CAPS_SUPPORT_YUV444_ENCODE: 0
 * NV_ENC_CAPS_SUPPORT_LOSSLESS_ENCODE: 0
 * NV_ENC_CAPS_SUPPORT_SAO: 0
 * NV_ENC_CAPS_SUPPORT_MEONLY_MODE: 0
 * NV_ENC_CAPS_SUPPORT_LOOKAHEAD: 1
 * NV_ENC_CAPS_SUPPORT_TEMPORAL_AQ: 0
 * NV_ENC_CAPS_SUPPORT_10BIT_ENCODE: 0
 * NV_ENC_CAPS_NUM_MAX_LTR_FRAMES: 7
 * NV_ENC_CAPS_SUPPORT_WEIGHTED_PREDICTION: 0

Presets:

 * NV_ENC_PRESET_DEFAULT_GUID: GOP Length 60, frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_VBR
 * NV_ENC_PRESET_LOW_LATENCY_DEFAULT_GUID: frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_VBR
 * NV_ENC_PRESET_HP_GUID: GOP Length 60, frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_VBR
 * NV_ENC_PRESET_HQ_GUID: GOP Length 60, frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_VBR
 * NV_ENC_PRESET_BD_GUID: GOP Length 60, frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_VBR
 * NV_ENC_PRESET_LOW_LATENCY_HQ_GUID: frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_VBR
 * NV_ENC_PRESET_LOW_LATENCY_HP_GUID: frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_VBR
 * {7ADD423D-D035-4F6F-AEA5-50885658643C}: GOP Length 60, frameIntervalP 1, NV_ENC_PARAMS_FRAME_FIELD_MODE_FRAME, NV_ENC_MV_PRECISION_QUARTER_PEL, NV_ENC_PARAMS_RC_VBR

